Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.ant.blogger
Class NewPostTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sourceforge.pebble.ant.blogger.NewPostTask

    public class NewPostTask

extends org.apache.tools.ant.Task

Ant task to post to a blog via the Blogger API.

Author:
  Simon Brown

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`NewPostTask()`

Method Summary
`void` | `execute()` Performs the work of this task.
`void` | `setBlogid(java.lang.String blogid)` Sets the blog id.
`void` | `setCategory(java.lang.String category)` Sets the category to which the blog entry should be added to.
`void` | `setContent(java.lang.String content)` Sets the blog entry content.
`void` | `setHandler(java.lang.String handler)` Sets the name of the XML-RPC Blogger API handler (e.g.
`void` | `setPassword(java.lang.String password)` Sets the XML-RPC password.
`void` | `setTitle(java.lang.String title)` Sets the title of the blog entry.
`void` | `setUrl(java.lang.String url)` Sets the URL of the XML-RPC call.
`void` | `setUsername(java.lang.String username)` Sets the XML-RPC username.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewPostTask

    public NewPostTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Performs the work of this task.

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException` - if something goes wrong

### setBlogid

    public void setBlogid(java.lang.String blogid)

  Sets the blog id.

  Parameters:
    `blogid` - a String

### setUsername

    public void setUsername(java.lang.String username)

  Sets the XML-RPC username.

  Parameters:
    `username` - a String

### setPassword

    public void setPassword(java.lang.String password)

  Sets the XML-RPC password.

  Parameters:
    `password` - a String

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title of the blog entry.

  Parameters:
    `title` - the blog entry title

### setContent

    public void setContent(java.lang.String content)

  Sets the blog entry content.

  Parameters:
    `content` - the blog entry content

### setCategory

    public void setCategory(java.lang.String category)

  Sets the category to which the blog entry should be added to.

  Parameters:
    `category` - the category ID as a String

### setUrl

    public void setUrl(java.lang.String url)

  Sets the URL of the XML-RPC call.

  Parameters:
    `url` - the URL as a String

### setHandler

    public void setHandler(java.lang.String handler)

  Sets the name of the XML-RPC Blogger API handler (e.g. "blogger").

  Parameters:
    `handler` - the name of the handler as a String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.